summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlos Alberto Lopez Perez <clopez@igalia.com>2016-11-09 18:39:35 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-11-23 11:02:29 +0000
commitfe694f9713595fc5f83c47111f03fc8a0a222f14 (patch)
tree0041892e2c14eb5e7560178670cf1869a5d09cdc
parentebb73aa6ad920bfd6a23f8c20105d6bcf07dd3d5 (diff)
downloadopenembedded-core-contrib-fe694f9713595fc5f83c47111f03fc8a0a222f14.tar.gz
openembedded-core-contrib-fe694f9713595fc5f83c47111f03fc8a0a222f14.tar.bz2
openembedded-core-contrib-fe694f9713595fc5f83c47111f03fc8a0a222f14.zip
webkitgtk: move recommends on ca-certificates from epiphany to webkitgtk.
* The webkitgtk package should recommend the ca-certificates one, because any program usign webkit (and not only epiphany) would expect that the CAs certificates are available and that https validation works as expected. * For example, webkitgtk includes a MiniBrowser program that would fail to proper verify https sites if the ca-certificate package is not installed * Instead of making each one of the webkitgtk consumers care about the certificate package, do this in webkit itself. Signed-off-by: Carlos Alberto Lopez Perez <clopez@igalia.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
-rw-r--r--meta/recipes-gnome/epiphany/epiphany_3.22.1.bb3
-rw-r--r--meta/recipes-sato/webkit/webkitgtk_2.14.1.bb2
2 files changed, 3 insertions, 2 deletions
diff --git a/meta/recipes-gnome/epiphany/epiphany_3.22.1.bb b/meta/recipes-gnome/epiphany/epiphany_3.22.1.bb
index 3c63d33727..2a9d200209 100644
--- a/meta/recipes-gnome/epiphany/epiphany_3.22.1.bb
+++ b/meta/recipes-gnome/epiphany/epiphany_3.22.1.bb
@@ -2,7 +2,7 @@ SUMMARY = "WebKit based web browser for GNOME"
LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://COPYING;md5=751419260aa954499f7abaabaa882bbe"
-DEPENDS = "libsoup-2.4 webkitgtk gtk+3 iso-codes ca-certificates avahi libnotify gcr \
+DEPENDS = "libsoup-2.4 webkitgtk gtk+3 iso-codes avahi libnotify gcr \
gsettings-desktop-schemas gnome-desktop3 libxml2-native intltool-native"
inherit gnomebase gsettings distro_features_check upstream-version-is-even
@@ -20,4 +20,3 @@ do_configure_prepend() {
FILES_${PN} += "${datadir}/appdata ${datadir}/dbus-1 ${datadir}/gnome-shell/search-providers"
RDEPENDS_${PN} = "iso-codes adwaita-icon-theme"
-RRECOMMENDS_${PN} = "ca-certificates"
diff --git a/meta/recipes-sato/webkit/webkitgtk_2.14.1.bb b/meta/recipes-sato/webkit/webkitgtk_2.14.1.bb
index 28bbde2a6b..1f2166cc3b 100644
--- a/meta/recipes-sato/webkit/webkitgtk_2.14.1.bb
+++ b/meta/recipes-sato/webkit/webkitgtk_2.14.1.bb
@@ -89,6 +89,8 @@ SECURITY_CFLAGS_append_aarch64 = " -fPIE"
FILES_${PN} += "${libdir}/webkit2gtk-4.0/injected-bundle/libwebkit2gtkinjectedbundle.so"
+RRECOMMENDS_${PN} += "ca-certificates"
+
# http://errors.yoctoproject.org/Errors/Details/20370/
ARM_INSTRUCTION_SET_armv4 = "arm"
ARM_INSTRUCTION_SET_armv5 = "arm"